package com.ss.android.ugc.aweme.feed.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;
import kotlin.h.b.n;

public final class WikipediaInfo implements Serializable {
    public String anchorId = "";
    public WikipediaExtra extra;
    @c(LIZ = "keyword")
    public String keyword;
    @c(LIZ = "lang")
    public String lang;

    static {
        Covode.recordClassIndex(79017);
    }

    public final String getAnchorId() {
        return this.anchorId;
    }

    public final WikipediaExtra getExtra() {
        return this.extra;
    }

    public final String getKeyword() {
        return this.keyword;
    }

    public final String getLang() {
        return this.lang;
    }

    public final int hashCode() {
        String str = this.keyword;
        if (str != null) {
            return str.hashCode();
        }
        return 0;
    }

    public final void setAnchorId(String str) {
        this.anchorId = str;
    }

    public final void setExtra(WikipediaExtra wikipediaExtra) {
        this.extra = wikipediaExtra;
    }

    public final void setKeyword(String str) {
        this.keyword = str;
    }

    public final void setLang(String str) {
        this.lang = str;
    }

    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof WikipediaInfo) {
            WikipediaInfo wikipediaInfo = (WikipediaInfo) obj;
            if (!n.LIZ(wikipediaInfo.keyword, this.keyword) || !n.LIZ(wikipediaInfo.lang, this.lang)) {
                return false;
            }
            return true;
        }
        return false;
    }
}
